4Suite™ API Documentation

# ► Module Ft.Xml.Xslt.XsltContext

Context and state information for XSLT processing

    Copyright 2003 Fourthought, Inc. (USA).
    Detailed license and copyright information: http://4suite.org/COPYRIGHT
    Project home, documentation, distributions: http://4suite.org/

Classes: XsltContext |  |  |  | Globals: EMPTY_NAMESPACE

## Classes

class XsltContext(Ft.Xml.XPath.Context.Context)

  ### Methods

  __init__(self, node, position=1, size=1, currentNode=None, varBindings=None, processorNss=None, stylesheet=None, processor=None, mode=None, extModuleList=None, extFunctionMap=None)
    Overrides: __init__ from class Context
  __repr__(self)
    Overrides: __repr__ from class Context
  addDocument(self, document, documentUri=None)
  clone(self)
    Overrides: clone from class Context
  expandQName(self, qname)
  setProcessState(self, execNode)
  splitQName(self, qname)

  ### Methods inherited from class Ft.Xml.XPath.Context.Context

  addFunction, copy, set

  ### Members

  functions = {(None, 'boolean'): <function Boolean>, (None, 'ceiling'): <function Ceiling>, (None, 'concat'): <function Concat>, (None, 'contains'): <function Contains>, (None, 'count'): <function Count>, (None, 'current'): <function Current>, (None, 'document'): <function Document>, (None, 'element-available'): <function ElementAvailable>, (None, 'false'): <function False>, (None, 'floor'): <function Floor>, ...}

  ### Members inherited from class Ft.Xml.XPath.Context.Context

  currentInstruction

## Globals

EMPTY_NAMESPACE = None